Skip to main content
POST
Invite a manager to an event by email

Path Parameters

id
integer<int64>
required

Event ID

Body

application/json
email
string
required

Email address of the user to invite

Minimum string length: 1
permissions
string[] | null
required

Permissions to grant on acceptance. Ignored when role is set.

role
string

Optional event manager role bundle (e.g. event_manager:full). When set, the role REPLACES the permissions list.

Response

Created

created_at
string<date-time>
required

Created timestamp

event_id
integer<int64>
required

Event ID (when managing a specific occurrence)

expires_at
string<date-time>
required

When the pending invite expires (7 days from invite)

id
integer<int64>
required

Record ID

invited_at
string<date-time>
required

When the invite was (last) sent

permissions
string[] | null
required

Assigned event manager permissions

status
enum<string>
required

Lifecycle status: pending, active, revoked

Available options:
pending,
active,
revoked
updated_at
string<date-time>
required

Updated timestamp

user_id
string
required

Profile ID of the manager

$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.linebundle.com/schemas/EventManager.json"

accepted_at
string<date-time>

When the invite was accepted

invite_token
string

Opaque token embedded in the invite email link

invited_by
string

Profile ID of the user who sent the invite

invited_email
string

Email address the invite was sent to

org_id
string

Organization ID

role
string

Pre-defined role bundle name (e.g. event_manager:full); NULL for custom permission combinations.

series_id
integer<int64>

Series ID (when managing all occurrences in a series)

Last modified on June 11, 2026